#include "blitz/protocol/packets/PlayerPositionAndRotationPacket.h"

namespace blitz {
namespace protocol {

DataBuffer PlayerPositionAndRotationPacket::Serialize(bool packetID) const {
	DataBuffer data;

	WritePacketID(data, packetID);

	data << m_Player << m_Position << m_Yaw << m_Pitch;

	return data;
}

void PlayerPositionAndRotationPacket::Deserialize(DataBuffer& data) {
	data >> m_Player >> m_Position >> m_Yaw >> m_Pitch;
}

}  // namespace protocol
}  // namespace blitz
